# Warning: This file is automatically generated. Removing it is fine, but will
# cause your node_modules installation to become invalidated.

__metadata:
  version: 1
  nmMode: classic

"accepts@npm:1.3.8":
  locations:
    - "node_modules/accepts"

"array-flatten@npm:1.1.1":
  locations:
    - "node_modules/array-flatten"

"aws-ssl-profiles@npm:1.1.2":
  locations:
    - "node_modules/aws-ssl-profiles"

"base64url@npm:3.0.1":
  locations:
    - "node_modules/base64url"

"body-parser@npm:1.20.3":
  locations:
    - "node_modules/body-parser"

"buffer-equal-constant-time@npm:1.0.1":
  locations:
    - "node_modules/buffer-equal-constant-time"

"bytes@npm:3.1.2":
  locations:
    - "node_modules/bytes"

"call-bind-apply-helpers@npm:1.0.1":
  locations:
    - "node_modules/call-bind-apply-helpers"

"call-bound@npm:1.0.3":
  locations:
    - "node_modules/call-bound"

"content-disposition@npm:0.5.4":
  locations:
    - "node_modules/content-disposition"

"content-type@npm:1.0.5":
  locations:
    - "node_modules/content-type"

"cookie-parser@npm:1.4.7":
  locations:
    - "node_modules/cookie-parser"

"cookie-signature@npm:1.0.6":
  locations:
    - "node_modules/cookie-signature"

"cookie-signature@npm:1.0.7":
  locations:
    - "node_modules/express-session/node_modules/cookie-signature"

"cookie@npm:0.7.1":
  locations:
    - "node_modules/express/node_modules/cookie"

"cookie@npm:0.7.2":
  locations:
    - "node_modules/cookie"

"crypto-js@npm:4.2.0":
  locations:
    - "node_modules/crypto-js"

"debug@virtual:b1aa040a8f65cb8583ade1394481efa35e02c7d8df3658ceb48e3a30fb1ab044e62633d3a8a21abe0fb41deb04bd81eb7bd4d659ccf590a270c045fe8f148c22#npm:2.6.9":
  locations:
    - "node_modules/debug"

"denque@npm:2.1.0":
  locations:
    - "node_modules/denque"

"depd@npm:2.0.0":
  locations:
    - "node_modules/depd"

"destroy@npm:1.2.0":
  locations:
    - "node_modules/destroy"

"dotenv@npm:8.6.0":
  locations:
    - "node_modules/dotenv"

"dunder-proto@npm:1.0.1":
  locations:
    - "node_modules/dunder-proto"

"ecdsa-sig-formatter@npm:1.0.11":
  locations:
    - "node_modules/ecdsa-sig-formatter"

"ee-first@npm:1.1.1":
  locations:
    - "node_modules/ee-first"

"encodeurl@npm:1.0.2":
  locations:
    - "node_modules/send/node_modules/encodeurl"

"encodeurl@npm:2.0.0":
  locations:
    - "node_modules/encodeurl"

"es-define-property@npm:1.0.1":
  locations:
    - "node_modules/es-define-property"

"es-errors@npm:1.3.0":
  locations:
    - "node_modules/es-errors"

"es-object-atoms@npm:1.0.0":
  locations:
    - "node_modules/es-object-atoms"

"escape-html@npm:1.0.3":
  locations:
    - "node_modules/escape-html"

"etag@npm:1.8.1":
  locations:
    - "node_modules/etag"

"express-session@npm:1.18.1":
  locations:
    - "node_modules/express-session"

"express@npm:4.21.2":
  locations:
    - "node_modules/express"

"fibonacci-fold-server@workspace:.":
  locations:
    - ""
  bin:
    ".":
      "uuid": "uuid/dist/bin/uuid"
      "semver": "semver/bin/semver.js"
      "mime": "mime/cli.js"

"finalhandler@npm:1.3.1":
  locations:
    - "node_modules/finalhandler"

"forwarded@npm:0.2.0":
  locations:
    - "node_modules/forwarded"

"fresh@npm:0.5.2":
  locations:
    - "node_modules/fresh"

"function-bind@npm:1.1.2":
  locations:
    - "node_modules/function-bind"

"generate-function@npm:2.3.1":
  locations:
    - "node_modules/generate-function"

"get-intrinsic@npm:1.2.6":
  locations:
    - "node_modules/get-intrinsic"

"gopd@npm:1.2.0":
  locations:
    - "node_modules/gopd"

"has-symbols@npm:1.1.0":
  locations:
    - "node_modules/has-symbols"

"hasown@npm:2.0.2":
  locations:
    - "node_modules/hasown"

"http-errors@npm:2.0.0":
  locations:
    - "node_modules/http-errors"

"iconv-lite@npm:0.4.24":
  locations:
    - "node_modules/iconv-lite"

"iconv-lite@npm:0.6.3":
  locations:
    - "node_modules/mysql2/node_modules/iconv-lite"

"inherits@npm:2.0.4":
  locations:
    - "node_modules/inherits"

"ipaddr.js@npm:1.9.1":
  locations:
    - "node_modules/ipaddr.js"

"is-property@npm:1.0.2":
  locations:
    - "node_modules/is-property"

"jsonwebtoken@npm:9.0.2":
  locations:
    - "node_modules/jsonwebtoken"

"jwa@npm:1.4.1":
  locations:
    - "node_modules/jwa"

"jws@npm:3.2.2":
  locations:
    - "node_modules/jws"

"lodash.includes@npm:4.3.0":
  locations:
    - "node_modules/lodash.includes"

"lodash.isboolean@npm:3.0.3":
  locations:
    - "node_modules/lodash.isboolean"

"lodash.isinteger@npm:4.0.4":
  locations:
    - "node_modules/lodash.isinteger"

"lodash.isnumber@npm:3.0.3":
  locations:
    - "node_modules/lodash.isnumber"

"lodash.isplainobject@npm:4.0.6":
  locations:
    - "node_modules/lodash.isplainobject"

"lodash.isstring@npm:4.0.1":
  locations:
    - "node_modules/lodash.isstring"

"lodash.once@npm:4.1.1":
  locations:
    - "node_modules/lodash.once"

"long@npm:5.2.3":
  locations:
    - "node_modules/long"

"lru-cache@npm:7.18.3":
  locations:
    - "node_modules/lru-cache"

"lru.min@npm:1.1.1":
  locations:
    - "node_modules/lru.min"

"math-intrinsics@npm:1.1.0":
  locations:
    - "node_modules/math-intrinsics"

"media-typer@npm:0.3.0":
  locations:
    - "node_modules/media-typer"

"merge-descriptors@npm:1.0.3":
  locations:
    - "node_modules/merge-descriptors"

"methods@npm:1.1.2":
  locations:
    - "node_modules/methods"

"mime-db@npm:1.52.0":
  locations:
    - "node_modules/mime-db"

"mime-types@npm:2.1.35":
  locations:
    - "node_modules/mime-types"

"mime@npm:1.6.0":
  locations:
    - "node_modules/mime"

"ms@npm:2.0.0":
  locations:
    - "node_modules/debug/node_modules/ms"

"ms@npm:2.1.3":
  locations:
    - "node_modules/ms"

"mysql2@npm:3.12.0":
  locations:
    - "node_modules/mysql2"

"named-placeholders@npm:1.1.3":
  locations:
    - "node_modules/named-placeholders"

"negotiator@npm:0.6.3":
  locations:
    - "node_modules/negotiator"

"oauth@npm:0.10.0":
  locations:
    - "node_modules/oauth"

"object-inspect@npm:1.13.3":
  locations:
    - "node_modules/object-inspect"

"on-finished@npm:2.4.1":
  locations:
    - "node_modules/on-finished"

"on-headers@npm:1.0.2":
  locations:
    - "node_modules/on-headers"

"parseurl@npm:1.3.3":
  locations:
    - "node_modules/parseurl"

"passport-google-oauth20@npm:2.0.0":
  locations:
    - "node_modules/passport-google-oauth20"

"passport-oauth2@npm:1.8.0":
  locations:
    - "node_modules/passport-oauth2"

"passport-strategy@npm:1.0.0":
  locations:
    - "node_modules/passport-strategy"

"passport@npm:0.7.0":
  locations:
    - "node_modules/passport"

"path-to-regexp@npm:0.1.12":
  locations:
    - "node_modules/path-to-regexp"

"pause@npm:0.0.1":
  locations:
    - "node_modules/pause"

"proxy-addr@npm:2.0.7":
  locations:
    - "node_modules/proxy-addr"

"qs@npm:6.13.0":
  locations:
    - "node_modules/qs"

"random-bytes@npm:1.0.0":
  locations:
    - "node_modules/random-bytes"

"range-parser@npm:1.2.1":
  locations:
    - "node_modules/range-parser"

"raw-body@npm:2.5.2":
  locations:
    - "node_modules/raw-body"

"safe-buffer@npm:5.2.1":
  locations:
    - "node_modules/safe-buffer"

"safer-buffer@npm:2.1.2":
  locations:
    - "node_modules/safer-buffer"

"semver@npm:7.6.3":
  locations:
    - "node_modules/semver"

"send@npm:0.19.0":
  locations:
    - "node_modules/send"

"seq-queue@npm:0.0.5":
  locations:
    - "node_modules/seq-queue"

"serve-static@npm:1.16.2":
  locations:
    - "node_modules/serve-static"

"setprototypeof@npm:1.2.0":
  locations:
    - "node_modules/setprototypeof"

"side-channel-list@npm:1.0.0":
  locations:
    - "node_modules/side-channel-list"

"side-channel-map@npm:1.0.1":
  locations:
    - "node_modules/side-channel-map"

"side-channel-weakmap@npm:1.0.2":
  locations:
    - "node_modules/side-channel-weakmap"

"side-channel@npm:1.1.0":
  locations:
    - "node_modules/side-channel"

"sqlstring@npm:2.3.3":
  locations:
    - "node_modules/sqlstring"

"statuses@npm:2.0.1":
  locations:
    - "node_modules/statuses"

"toidentifier@npm:1.0.1":
  locations:
    - "node_modules/toidentifier"

"type-is@npm:1.6.18":
  locations:
    - "node_modules/type-is"

"uid-safe@npm:2.1.5":
  locations:
    - "node_modules/uid-safe"

"uid2@npm:0.0.4":
  locations:
    - "node_modules/uid2"

"unpipe@npm:1.0.0":
  locations:
    - "node_modules/unpipe"

"utils-merge@npm:1.0.1":
  locations:
    - "node_modules/utils-merge"

"uuid@npm:10.0.0":
  locations:
    - "node_modules/uuid"

"vary@npm:1.1.2":
  locations:
    - "node_modules/vary"
